Module javafx.base
Package javafx.beans.binding

# Class When.NumberConditionBuilder

java.lang.Object
javafx.beans.binding.When.NumberConditionBuilder

Enclosing class:
  When

    public class When.NumberConditionBuilder
    extends Object

If-then-else expression returning a number.

Since:
  JavaFX 2.0

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DoubleBinding` | `otherwise​(double otherwiseValue)` | Defines a constant value of the ternary expression, that is returned if the condition is `false`.
  `NumberBinding` | `otherwise​(float otherwiseValue)` | Defines a constant value of the ternary expression, that is returned if the condition is `false`.
  `NumberBinding` | `otherwise​(int otherwiseValue)` | Defines a constant value of the ternary expression, that is returned if the condition is `false`.
  `NumberBinding` | `otherwise​(long otherwiseValue)` | Defines a constant value of the ternary expression, that is returned if the condition is `false`.
  `NumberBinding` | `otherwise​(ObservableNumberValue otherwiseValue)` | Defines the `ObservableNumberValue` which value is returned by the ternary expression if the condition is `false`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### otherwise

    public NumberBinding otherwise​(ObservableNumberValue otherwiseValue)
    Defines the `ObservableNumberValue` which value is returned by the ternary expression if the condition is `false`.
    Parameters:
      `otherwiseValue` - the value
    Returns:
      the complete `DoubleBinding`

  - ### otherwise

    public DoubleBinding otherwise​(double otherwiseValue)
    Defines a constant value of the ternary expression, that is returned if the condition is `false`.
    Parameters:
      `otherwiseValue` - the value
    Returns:
      the complete `DoubleBinding`

  - ### otherwise

    public NumberBinding otherwise​(float otherwiseValue)
    Defines a constant value of the ternary expression, that is returned if the condition is `false`.
    Parameters:
      `otherwiseValue` - the value
    Returns:
      the complete `NumberBinding`

  - ### otherwise

    public NumberBinding otherwise​(long otherwiseValue)
    Defines a constant value of the ternary expression, that is returned if the condition is `false`.
    Parameters:
      `otherwiseValue` - the value
    Returns:
      the complete `NumberBinding`

  - ### otherwise

    public NumberBinding otherwise​(int otherwiseValue)
    Defines a constant value of the ternary expression, that is returned if the condition is `false`.
    Parameters:
      `otherwiseValue` - the value
    Returns:
      the complete `NumberBinding`